# Client Events

### Get Job Employees List

Get a list of all job employees

{% tabs %}
{% tab title="ESX" %}

```lua
---@param {jobName: string}: Registered job name e.g. 'police' / 'ambulance'
---@return table or false
ESX.TriggerServerCallback('vms_bossmenu:getJobEmployees', function(employeesList)
    local employeesList = employeesList
    
end, jobName)
```

{% endtab %}

{% tab title="QB-Core" %}

```lua
---@param {jobName: string}: Registered job name e.g. 'police' / 'ambulance'
---@return table or false
QBCore.Functions.TriggerCallback('vms_bossmenu:getJobEmployees', function(employeesList)
    local employeesList = employeesList    
    
end, jobName)
```

{% endtab %}
{% endtabs %}

<details>

<summary>Explanation</summary>

If you execute the above callback you will get the return information as a table if the job is registered in the config, if not, you will get the return as false.

#### Parameters:

* isOnline: `boolean`
* name: `string`
* identifier: `string`
* job: `table`
  * name: `string`
  * label: `string`
  * grade: `number`
  * grade\_name: `string`
  * grade\_label: `string`

</details>

<details>

<summary>Backward callbacks from esx_society</summary>

We have a backward callback for esx\_society, this means that if you have an `esx_society:getEmployees` callback used somewhere, you won't necessarily need to modify it.

</details>

<details>

<summary>Backward callbacks from qb-management</summary>

We have a backward callback for qb-management, this means that if you have an `qb-bossmenu:server:GetEmployees` callback used somewhere, you won't necessarily need to modify it.

</details>

***

### Get Gang Employees List

Get a list of all gang members

{% tabs %}
{% tab title="ESX" %}

```lua
---@param {gangName: string}: Registered gang name e.g. 'ballas' / 'vagos'
---@return table or false
ESX.TriggerServerCallback('vms_bossmenu:getGangMembers', function(membersList)
    local membersList = membersList
    
end, gangName)
```

{% endtab %}

{% tab title="QB-Core" %}

```lua
---@param {gangName: string}: Registered gang name e.g. 'ballas' / 'vagos'
---@return table or false
QBCore.Functions.TriggerCallback('vms_bossmenu:getGangMembers', function(membersList)
    local membersList = membersList    
    
end, gangName)
```

{% endtab %}
{% endtabs %}

<details>

<summary>Explanation</summary>

If you execute the above callback you will get the return information as a table if the gang is registered in the config, if not, you will get the return as false.

#### Parameters:

* isOnline: `boolean`
* name: `string`
* identifier: `string`
* job: `table`
  * name: `string`
  * label: `string`
  * grade: `number`
  * grade\_name: `string`
  * grade\_label: `string`

</details>

<details>

<summary>Backward callbacks from qb-management</summary>

We have a backward callback for qb-management, this means that if you have an `qb-gangmenu:server:GetEmployees` callback used somewhere, you won't necessarily need to modify it.

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vames-store.com/assets/vms_bossmenu/developer-api/client-events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
